/* Initialization */
#include "RoomHeating_OM_RH_model.h"
#include "RoomHeating_OM_RH_11mix.h"
#include "RoomHeating_OM_RH_12jac.h"
#if defined(__cplusplus)
extern "C" {
#endif

void RoomHeating_OM_RH_functionInitialEquations_0(DATA *data, threadData_t *threadData);

/*
equation index: 1
type: SIMPLE_ASSIGN
room._energy = $START.room.energy
*/
void RoomHeating_OM_RH_eqFunction_1(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,1};
  data->localData[0]->realVars[1] /* room.energy STATE(1,room.Qin) */ = data->modelData->realVarsData[1].attribute /* room.energy STATE(1,room.Qin) */.start;
  TRACE_POP
}

/*
equation index: 2
type: SIMPLE_ASSIGN
room._RAT = $START.room.RAT
*/
void RoomHeating_OM_RH_eqFunction_2(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,2};
  data->localData[0]->realVars[0] /* room.RAT STATE(1) */ = data->modelData->realVarsData[0].attribute /* room.RAT STATE(1) */.start;
  TRACE_POP
}

/*
equation index: 3
type: SIMPLE_ASSIGN
wall._Tisurf = $START.wall.Tisurf
*/
void RoomHeating_OM_RH_eqFunction_3(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,3};
  data->localData[0]->realVars[2] /* wall.Tisurf STATE(1) */ = data->modelData->realVarsData[2].attribute /* wall.Tisurf STATE(1) */.start;
  TRACE_POP
}

/*
equation index: 4
type: SIMPLE_ASSIGN
wall._Tosurf = $START.wall.Tosurf
*/
void RoomHeating_OM_RH_eqFunction_4(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,4};
  data->localData[0]->realVars[3] /* wall.Tosurf STATE(1) */ = data->modelData->realVarsData[3].attribute /* wall.Tosurf STATE(1) */.start;
  TRACE_POP
}

/*
equation index: 5
type: SIMPLE_ASSIGN
wall._R = wall.lWall / (wall.aWall * wall.lambda_Wall)
*/
void RoomHeating_OM_RH_eqFunction_5(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,5};
  data->localData[0]->realVars[22] /* wall.R variable */ = DIVISION_SIM(data->simulationInfo->realParameter[17] /* wall.lWall PARAM */,(data->simulationInfo->realParameter[13] /* wall.aWall PARAM */) * (data->simulationInfo->realParameter[18] /* wall.lambda_Wall PARAM */),"wall.aWall * wall.lambda_Wall",equationIndexes);
  TRACE_POP
}

/*
equation index: 6
type: SIMPLE_ASSIGN
wall._C = 0.5 * wall.rhoWall * wall.cWall * wall.lWall * wall.aWall
*/
void RoomHeating_OM_RH_eqFunction_6(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,6};
  data->localData[0]->realVars[21] /* wall.C variable */ = (0.5) * ((data->simulationInfo->realParameter[19] /* wall.rhoWall PARAM */) * ((data->simulationInfo->realParameter[14] /* wall.cWall PARAM */) * ((data->simulationInfo->realParameter[17] /* wall.lWall PARAM */) * (data->simulationInfo->realParameter[13] /* wall.aWall PARAM */))));
  TRACE_POP
}
extern void RoomHeating_OM_RH_eqFunction_21(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_22(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_23(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_24(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_25(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_26(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_27(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_28(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_29(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_30(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_31(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_32(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_33(DATA *data, threadData_t *threadData);

extern void RoomHeating_OM_RH_eqFunction_34(DATA *data, threadData_t *threadData);

OMC_DISABLE_OPT
void RoomHeating_OM_RH_functionInitialEquations_0(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  RoomHeating_OM_RH_eqFunction_1(data, threadData);
  RoomHeating_OM_RH_eqFunction_2(data, threadData);
  RoomHeating_OM_RH_eqFunction_3(data, threadData);
  RoomHeating_OM_RH_eqFunction_4(data, threadData);
  RoomHeating_OM_RH_eqFunction_5(data, threadData);
  RoomHeating_OM_RH_eqFunction_6(data, threadData);
  RoomHeating_OM_RH_eqFunction_21(data, threadData);
  RoomHeating_OM_RH_eqFunction_22(data, threadData);
  RoomHeating_OM_RH_eqFunction_23(data, threadData);
  RoomHeating_OM_RH_eqFunction_24(data, threadData);
  RoomHeating_OM_RH_eqFunction_25(data, threadData);
  RoomHeating_OM_RH_eqFunction_26(data, threadData);
  RoomHeating_OM_RH_eqFunction_27(data, threadData);
  RoomHeating_OM_RH_eqFunction_28(data, threadData);
  RoomHeating_OM_RH_eqFunction_29(data, threadData);
  RoomHeating_OM_RH_eqFunction_30(data, threadData);
  RoomHeating_OM_RH_eqFunction_31(data, threadData);
  RoomHeating_OM_RH_eqFunction_32(data, threadData);
  RoomHeating_OM_RH_eqFunction_33(data, threadData);
  RoomHeating_OM_RH_eqFunction_34(data, threadData);
  TRACE_POP
}


int RoomHeating_OM_RH_functionInitialEquations(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  data->simulationInfo->discreteCall = 1;
  RoomHeating_OM_RH_functionInitialEquations_0(data, threadData);
  data->simulationInfo->discreteCall = 0;
  
  TRACE_POP
  return 0;
}


int RoomHeating_OM_RH_functionInitialEquations_lambda0(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  data->simulationInfo->discreteCall = 1;
  data->simulationInfo->discreteCall = 0;
  
  TRACE_POP
  return 0;
}
int RoomHeating_OM_RH_functionRemovedInitialEquations(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int *equationIndexes = NULL;
  double res = 0.0;

  
  TRACE_POP
  return 0;
}


#if defined(__cplusplus)
}
#endif

